---
- name: Perform common tasks
  hosts: ruby
  become: yes
  roles:
    - base
    - common
  tags: base

- hosts: ruby
  become: yes
  roles:
    - ruby
  tags: ruby

- hosts: ruby
  become: yes
  roles:
    - ntfy
  tags: ntfy

- name: Install Woodpecker agent
  hosts: ruby
  become: yes
  roles:
    - woodpecker
  tags: woodpecker

- name: Install Restic
  hosts: ruby
  become: yes
  roles:
    - restic
  tags: restic

- hosts: ruby
  become: yes
  roles:
    - monica
  tags: monica

- hosts: ruby
  become: yes
  roles:
    - miniflux
  tags: miniflux

- name: Ensure Baikal is installed
  hosts: ruby
  become: yes
  roles:
    - baikal
  tags: baikal

- hosts: ruby
  become: yes
  roles:
    - atuin-server
  tags: atuin

- hosts: ruby
  become: yes
  roles:
    - gitea
  tags: gitea

- hosts: ruby
  become: yes
  roles:
    - kanboard
  tags: kanboard

- hosts: ruby
  become: yes
  roles:
    - matrix
  tags: matrix

- hosts: ruby
  become: yes
  roles:
    - calathea
  tags: calathea

- hosts: ruby
  become: yes
  roles:
    - digikam
  tags: digikam

- hosts: ruby
  become: yes
  roles:
    - otter
  tags: otter
